﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using SpotnetWatchdog.Entities;

namespace SpotnetWatchdog.Converters
{
    /// <summary>
    /// Converts DateTime to a dutch formatted string
    /// </summary>
    [ValueConversion(typeof(List<string>), typeof(string))]
    class TagsConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                List<string> tags = value as List<string>;
                if (tags != null)
                {
                    return string.Join("; ", tags);
                }
                
                throw new ArgumentException("value");
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
